#
# spec file for package fontawesome-fonts
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fontawesome-fonts
Version:        5.15.4
Release:        150400.1.4
Summary:        Iconic font set
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            http://fontawesome.io/
Source0:        https://github.com/FortAwesome/Font-Awesome/releases/download/%{version}/fontawesome-free-%{version}-desktop.zip
Source1:        https://github.com/FortAwesome/Font-Awesome/releases/download/%{version}/fontawesome-free-%{version}-web.zip
Source2:        LICENSE.txt
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
Scalable vector icons that can be customized — size, color, drop shadow,
and anything that can be done with the power of CSS.

(Note that the font does not contain regular letters, and that icons
are in the range U+F000..U+F23A.)

%package web
Summary:        Web files for font-awesome
License:        MIT
Group:          System/X11/Fonts

%description web
Web files (css, less, scss, etc) for font-awesome.

%prep
%setup -q -c
%setup -q -T -D -a 1
cp -p %{SOURCE2} .

%build

%install
install -m 0755 -d %{buildroot}%{_ttfontsdir}
install -p -m 0644 */otfs/*.otf %{buildroot}%{_ttfontsdir}

install -m 0755 -d %{buildroot}%{_datadir}/fontawesome-web/webfonts
install -p -m 0644 */webfonts/*.{ttf,woff,woff2,svg,eot} %{buildroot}%{_datadir}/fontawesome-web/webfonts
cp -r */css */less */scss %{buildroot}%{_datadir}/fontawesome-web/

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%license LICENSE.txt
%dir %{_ttfontsdir}/
%{_ttfontsdir}/*

%files web
%defattr(-, root,root)
%{_datadir}/fontawesome-web/

%changelog
* Wed Sep  8 2021 nyslay@gmail.com
- Update to version 5.15.4
  * Changed
  - Removed the tripadvisor brand icon by request of Tripadvisor
  - Update bug, bullseye, drone, icons #17800 #17106 #17730
  - Update bootstrap, discord, figma, and font-awesome-* brand icons #17436
  * Fixed
  - Made font-family matching case-insensitive for SVG + JavaScript version of Font Awesome #17860
  - Corrected missing version hospital-user #17435
  - Removed useless .tgz file in @fortawesome/fontawesome-pro and all @fortawesome/pro-*-svg-icons
* Wed Sep  8 2021 nyslay@gmail.com
- Update to version 5.15.3
  * Changed
  - Updated air-freshener's design due to trademark violation notice
* Wed Sep  8 2021 nyslay@gmail.com
- Update to version 5.15.2
  * Changed
  - Support release to improve Font Awesome Kits performance
* Wed Sep  8 2021 nyslay@gmail.com
- Update to version 5.15.1
  * Changed
  - Update to the ravelry brand icon
  * Fixed
  - Removed fill attribute from the vest and vest-patches icon
  - Moved attribution comment to correct location for sprites
  - Fixed duotone icons not rendering in Kits
* Wed Sep  8 2021 nyslay@gmail.com
- Update to version 5.15.0
  * Added
  - Added guilded, hive, innosoft, instalod, ns8, octopus-deploy, perbyte,
  - uncharted, watchman-monitoring, wodu sponsored brand icons
  - Added commissioned vest and vest-patch icon
  - Added cloudflare brand icon
  * Changed
  - Removed the adobe icon at the request of Adobe
  - Update rocketchat brand icon
  * Fixed
  - Conflict detection now includes Kits when checking for conflicts
* Sun Aug 16 2020 dmueller@suse.com
- update to 5.14.0:
  * Corrected rendering issue with the tripadvisor brand icon in Windows 10 #16817
  * Corrected unicode values that were outside the Unicode Private Use Area (PUA) #16804
* Tue Jul 14 2020 lnussel@suse.de
- fix webfont path (boo#1174093)
* Tue Mar 24 2020 mpluskal@suse.com
- Update to version 5.13.0:
  * Added new icons related to COVID-19.
  * Fixed font family name to be 'Font Awesome 5 Free' for free
    kits when using pseudo-elements.
  * Added the ability to specify mask ID and title ID for SVG with
    JS which allows snapshot testing tools to get a predictable
    result when executing tests.
  * Corrected version 4 font face shim src attribute declaration
    that was warning of incorrect font file format.
  * Explicitly set font-display to block which supresses warnings
    of font-display in tools like Lighthouse.
* Tue Mar 10 2020 denis.kondratenko@suse.com
- Update to version 5.12.1:
  * Added
    + user-unlock icon #13280
    + mixer brand icon #11242
    + coffin-cross icon #15646
    + instagram-square icon #9223
    + shopify icon #3850
    + dailymotion icon #3890
  * Changed
    + Do not separate web fonts files for Free Kits
    + The .fab CSS class now has explicit weight of 400 instead of inheriting 'normal'
    + Balance the plus symbol in file-plus and folder-plus #16004
    + Removed cross from coffin (new coffin-cross still available) #15646
    + Updated edge brand icon #15771
    + Updated clock hands #15779
- changed sources to github release
- README-Trademarks.txt replaced with LICENSE.txt
* Wed Feb 12 2020 lnussel@suse.de
- default font path for the web fonts is "../fonts" so we need to install the
  referenced files in /usr/share/font-awesome-web/fonts.
* Thu Nov 24 2016 mpluskal@suse.com
- Update to version 4.7.0:
  * New icons:
    + Add handshake-o icon (thanks, Linode!)
    + Add envelope-open icon (thanks, Linode!)
    + Add bath, shower icons (thanks, Linode!)
    + Add id-card, address-book icons (thanks, Linode!)
    + Add thermometer icon (thanks, Linode!)
    + Add Linode logo
    + Add Free Code Camp logo
  * Updated icons:
    + Update Mastercard logo
    + Update QQ logo
* Fri Jul 29 2016 petr@cervinka.net
- Updated to version 4.6.3
  * Fixed  fa-instagram
  * Updated google plus icon
- Changes in version 4.6.2
  * Updated pied-piper logo
  * New icon fa-first-order
- Changes in version 4.6.1
  * Fixed aria-hidden attribute
  * Fixed invalid US-ASCII character "\xC3"
- Changes in major version 4.6.0
  * 30 new icons
  * New Icon Category: Accessibility
  * Fixes in CSS, SCSS and Less
  * Fixed icon "1px size taller" issue introduced in 4.5.0
* Wed Feb 10 2016 mpluskal@suse.com
- Update to 4.5.0
- Use url for source
* Tue Sep  8 2015 tiwai@suse.de
- Add Group to fontawesome-fonts-web subpackage to fix the build
  for older distros
- Add missing defattr to filelist
- Add missing buildroot tag to fix the build failures on old distros
* Mon Jun  1 2015 hguo@suse.com
- New package.
